Subject: Re: gitweb search in multi-headed tree

From: Kay Sievers <[email-masked]>
Date: Sat, 17 Sep 2005 03:22:38 +0200

On Fri, Sep 16, 2005 at 08:39:20AM -0700, Tony Luck wrote:
> Kay,
> 
> My tree on kernel.org (.../aegl/linux-2.6.git) has two branches in
> refs/heads: release
> and test.  The HEAD symlink points to the release branch.
> 
> It seems that a search traverses from HEAD to root, so can only find
> things in the
> release branch.  I tried clicking on the "test" branch link at the
> foot of the top-level
> page before doing the search ... but it still seems to search from HEAD.
> 
> Any syntax I'm missing for this search?

You can only append "&h=test" to the search url now. I will change that
with the next version of gitweb to let the search follow the current $hash.

Thanks,
Kay